aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/.travis/bin/mutual_friends.sh
diff options
context:
space:
mode:
Diffstat (limited to '.travis/bin/mutual_friends.sh')
-rwxr-xr-x.travis/bin/mutual_friends.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/.travis/bin/mutual_friends.sh b/.travis/bin/mutual_friends.sh
new file mode 100755
index 0000000..4a00fb8
--- /dev/null
+++ b/.travis/bin/mutual_friends.sh
@@ -0,0 +1,23 @@
+#!/usr/bin/env bash
+
+# Copyright (c) 2019 Egor Tensin <Egor.Tensin@gmail.com>
+# This file is part of the "VK scripts" project.
+# For details, see https://github.com/egor-tensin/vk-scripts.
+# Distributed under the MIT License.
+
+set -o errexit -o nounset -o pipefail
+
+script_dir="$( dirname -- "${BASH_SOURCE[0]}" )"
+script_dir="$( cd -- "$script_dir" && pwd )"
+readonly script_dir
+
+test_users() {
+ "$script_dir/../lib/test.sh" bin.mutual_friends --format csv "$@"
+ "$script_dir/../lib/test.sh" bin.mutual_friends --format json "$@"
+}
+
+main() {
+ test_users kreed58 maxkorzh_official
+}
+
+main